Get Single Filter
curl --request GET \
--url http://{host}:{port}/{contextPath}/filter/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/filter/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/filter/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9917d731-3cde-11e4-b704-f0def1e59da8",
"name": "Accounting Tasks",
"owner": null,
"properties": {
"color": "#3e4d2f",
"description": "Tasks assigned to group accounting",
"priority": 5
},
"query": {
"candidateGroup": "accounting"
},
"resourceType": "Task"
}Filter
Get Single Filter
Retrieves a single filter by id, according to the Filter interface in the engine.
GET
/
filter
/
{id}
Get Single Filter
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the filter to be retrieved.
Query Parameters
If set to true, each filter result will contain an itemCount
property with the number of items matched by the filter itself.
Response
Request successful.
The id of the filter.
The resource type of the filter.
The name of the filter.
The user id of the owner of the filter.
The query of the filter as a JSON object.
The properties of a filter as a JSON object.
The number of items matched by the filter itself. Note: Only exists
if the query parameter
itemCount was set to true